'============================================================================
' MDEMO.BAS
' copyright (c) 2000-2005, by Lester Ian
' all rights reserved.
'
' A library having mouse functions. You can use it in every Quick BASIC v4.5
' program source codes. This program will not run unless you will place the
' Quick Library MOUSE.QLB and Link Library MOUSE.LIB and MOUSE.OBJ. To run
' this program, type this command in the MS-DOS Prompt:
'
'    QB /L MOUSE.QLB
'
' Then run this program... you'll see!
'============================================================================
DEFINT A-Z
CLS


'============================================================================
' Mouse.Init: Procedure that loads the mouse driver. If
'             mouse is present, it returns true else it
'             returns false.
' Syntax:     CALL Mouse.Init(PresenceFlag)
'
CALL Mouse.Init(MyMouse)
LOCATE 25, 1
PRINT "Mouse.Init(PresenceFlag): Mouse is";
IF MyMouse THEN PRINT " ";  ELSE PRINT "not ";
PRINT "present! press any key...";
a$ = INPUT$(1)
LOCATE 25, 1
PRINT STRING$(80, 32);


'============================================================================
' Mouse.Show: Procedure that displays the mouse pointer.
' Syntax:     CALL Mouse.Show
'
CALL Mouse.Show
LOCATE 25, 1: PRINT "Mouse.Show: press any key...";
a$ = INPUT$(1)
LOCATE 25, 1: PRINT STRING$(80, 32);


'============================================================================
' Mouse.Click: Procedure that returns true if the mouse buttons
'              are pressed.
' Syntax:     CALL Mouse.Click(LeftButton, RightButton)
'
' Mouse.Locate: Procedure that returns the current position
'               of the mouse in row * 8 and column * 8.
' Syntax:       CALL Mouse.Locate(row, column)
'
   LOCATE 25, 1
   PRINT "Mouse.Click(left, right), Mouse.Locate(y, x): press any key...";
   DO
      CALL Mouse.Click(q1, q2)
      CALL Mouse.Locate(r, c)
      LOCATE 1, 1: PRINT "Left: "; q1, "Right: "; q2;
      LOCATE 2, 1: PRINT "Y:    "; (r / 8) + 1, "X:     "; (c / 8) + 1;
   LOOP UNTIL INKEY$ <> ""
   LOCATE 25, 1
   PRINT STRING$(80, 32);


'============================================================================
' Mouse.Limit: Procedure that sets the limit coordinates of
'              the mouse.
' Syntax:      CALL Mouse.Limit(Top, Left, Bottom Right)
'
   CALL Mouse.Limit(10, 10, 15, 25)
   FOR n = 10 TO 15
      LOCATE n, 10: PRINT STRING$(16, 176);
   NEXT
   LOCATE 25, 1: PRINT "Mouse.Limit(y1, x1, y2, x2): press any key...";
   a$ = INPUT$(1)
   LOCATE 25, 1: PRINT STRING$(80, 32);
   CALL Mouse.Limit(1, 1, 25, 80)


'============================================================================
' Mouse.Place: Procedure that sets the position of the mouse.
' Syntax:      CALL Mouse.Place(WhatY, WhatX)
'
   LOCATE 25, 1: PRINT "Mouse.Place(y, x): press any key... or click to enable/disable";
   DO
      RANDOMIZE TIMER
      CALL Mouse.Click(q1, q2)
      IF q1 OR q2 THEN
         CALL Mouse.Place(u1, u2)
      ELSE
         u1 = INT(25 * RND) + 1
         u2 = INT(80 * RND) + 1
      END IF
   LOOP UNTIL INKEY$ <> ""
   LOCATE 25, 1: PRINT STRING$(80, 32);


'============================================================================
' Mouse.Hide: Procedure that hides the mouse pointer.
' Syntax:     CALL Mouse.Hide
'
   CALL Mouse.Hide
   LOCATE 25, 1: PRINT "Mouse.Hide: press any key...";
   a$ = INPUT$(1)
   LOCATE 25, 1: PRINT STRING$(80, 32);


END

